<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/messageListItem"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical"
    android:padding="6dp" >

    <RelativeLayout
        android:id="@+id/relativeWrapper"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center" >

        <TextView
            android:id="@+id/IDLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginLeft="4dp"
            android:layout_marginTop="1sp"
            android:layout_toRightOf="@+id/ID"
            android:text="(Name)"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/ID"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:text="ID"
            android:textColor="@color/off_white"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/loadLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/IDLabel"
            android:layout_marginTop="2dp"
            android:text="Load:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/load"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/loadLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/loadLabel"
            android:text="#####"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/load_units"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/loadLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/load"
            android:text="BTU"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/constNoLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/IDLabel"
            android:layout_marginTop="2dp"
            android:layout_toLeftOf="@+id/constNo"
            android:text="ID:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/constNo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignTop="@+id/constNoLabel"
            android:layout_marginLeft="4dp"
            android:text="XX-X"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/qtyLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/ID"
            android:layout_toLeftOf="@+id/qty"
            android:text="Qty:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/qty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/ID"
            android:layout_alignParentRight="true"
            android:layout_marginLeft="4dp"
            android:text="XXX"
            android:textColor="@color/off_white"
            android:textSize="12sp" />
    </RelativeLayout>

</LinearLayout>